# Documentation

Menu

## QRMarkupHTMLTest extends QRMarkupTestAbstract
in package

QRMarkupHTMLTest.php : 18

Tests the QRMarkup output module

### Table of Contents

$builddir : string
$FQN : string
$matrix : QRMatrix
$options : QROptions
$outputInterface : QROutputInterface
$type : string
moduleValueProvider() : array<string|int, mixed>
testInstance() : void
  Validate the instance of the interface
testRenderToCacheFile() : void
  coverage of the built-in output modules
testSaveException() : void
  Tests if an exception is thrown when trying to write a cache file to an invalid destination
testSetModuleValues() : void
  covers the module values settings
testValidateModuleValues() : void
setUp() : void
  Attempts to create a directory under /.build and instances several required objects

### Properties

#### $builddir

QROutputTestAbstract.php : 31
`protected string $builddir = __DIR__ . '/../../.build/output_test'`

#### $FQN

QRMarkupHTMLTest.php : 20
`protected string $FQN = \chillerlan\QRCode\Output\QRMarkupHTML::class`

#### $matrix

QROutputTestAbstract.php : 30
`protected QRMatrix $matrix`

#### $options

QROutputTestAbstract.php : 28
`protected QROptions $options`

#### $outputInterface

QROutputTestAbstract.php : 29
`protected QROutputInterface $outputInterface`

#### $type

QRMarkupHTMLTest.php : 21
`protected string $type = \chillerlan\QRCode\Output\QROutputInterface::MARKUP_HTML`

### Methods

#### moduleValueProvider()

QROutputTestAbstract.php : 70
`public abstract static moduleValueProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### testInstance()

QROutputTestAbstract.php : 55

Validate the instance of the interface

`public testInstance() : void`

##### Return values

void —

#### testRenderToCacheFile()

QROutputTestAbstract.php : 95

coverage of the built-in output modules

`public testRenderToCacheFile() : void`

##### Return values

void —

#### testSaveException()

QROutputTestAbstract.php : 62

Tests if an exception is thrown when trying to write a cache file to an invalid destination

`public testSaveException() : void`

##### Return values

void —

#### testSetModuleValues()

QROutputTestAbstract.php : 90

covers the module values settings

`public abstract testSetModuleValues() : void`

##### Return values

void —

#### testValidateModuleValues()

QROutputTestAbstract.php : 78
`public testValidateModuleValues(mixed $value, bool $expected) : void`

##### Parameters

$value : mixed
$expected : bool

##### Tags

dataProvider

  moduleValueProvider

##### Return values

void —

#### setUp()

QROutputTestAbstract.php : 38

Attempts to create a directory under /.build and instances several required objects

`protected setUp() : void`

##### Return values

void —

## Search results